GET Contract Match
https://pd.{shard}.a.pvp.net/contracts/v1/players/{puuid}/matches/{match id} Get the contract, mission, XP, Kingdom Credits and reward progress a player earned from a specific match
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID -
{match id}The ID of the match to get progress for
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type ContractMatchResponse = {
/** Match ID */
ID: string;
/** Time the match was processed by the contracts service */
CreatedAt: string;
/** Milliseconds since epoch */
StartTime: number;
XPGrants: {
GamePlayed: number;
GameWon: number;
/** XP granted for rounds played */
RoundPlayed: number;
/** XP granted for rounds won */
RoundWon: number;
Missions: {
[x: string]: number;
} | null;
Modifier: {
Value: number;
BaseMultiplierValue: number;
Modifiers: {
Value: number;
/** Known values: RESTRICTIONS_XP, PREMIUM_CONTRACT_XP, SOCIAL_XP (bonus for playing with a premade party) */
Name: string;
BaseOnly: boolean;
}[];
};
NumAFKRounds: number;
} | null;
/** Kingdom Credits ("Dough" internally) granted for the match */
DoughGrants: {
GamePlayed: number;
/** Kingdom Credits granted for rounds played */
RoundPlayed: number;
/** Kingdom Credits granted for rounds won */
RoundWon: number;
} | null;
/** Rewards unlocked by contract level-ups from this match, keyed by contract ID */
RewardGrants: {
[x: string]: {
EntitlementRewards: {
/** Item Type ID */
ItemTypeID: string;
/** Item ID */
ItemID: string;
Amount: number;
}[] | null;
ItemRewards: unknown[] | null;
WalletRewards: {
/** Currency ID */
CurrencyID: string;
Amount: number;
}[] | null;
CounterRewards: unknown[] | null;
ProgressionRewards: unknown[] | null;
};
} | null;
MissionDeltas: {
[x: string]: {
/** Mission ID */
ID: string;
Objectives: {
[x: string]: number;
};
ObjectiveDeltas: {
[x: string]: {
/** Objective ID */
ID: string;
ProgressBefore: number;
ProgressAfter: number;
};
};
};
} | null;
ContractDeltas: {
[x: string]: {
/** Contract ID */
ID: string;
TotalXPBefore: number;
TotalXPAfter: number;
};
} | null;
CouldProgressMissions: boolean;
MatchSummary: {
RoundsTotal: number;
RoundsWon: number;
};
/** Unknown deterministic (UUIDv5) ID */
XID: string;
}; {
"ID": "f2fB5a6f-b91D-8B9D-EaEf-D1D21acD9001",
"CreatedAt": "2026-09-30T01:12:35.672Z",
"StartTime": "+270061-11-08T09:10:20.487Z",
"XPGrants": {
"GamePlayed": 7823170156496780,
"GameWon": 141909657445517,
"RoundPlayed": 2199421377735011,
"RoundWon": 8728188458437326,
"Missions": {
"cF0Bfa9A-feEC-A333-8e14-CcbcAfECE1c2": 1510054565941760
},
"Modifier": {
"Value": 5759756127753509,
"BaseMultiplierValue": 6919225496435947,
"Modifiers": [
{
"Value": 5481893233195055,
"Name": "Rita Muller IV",
"BaseOnly": true
},
{
"Value": 4072305126231773,
"Name": "Jimmie Wiza",
"BaseOnly": false
},
{
"Value": 7894766117827087,
"Name": "Ms. Kay Stoltenberg",
"BaseOnly": true
},
{
"Value": 2450776032890120,
"Name": "Brooke Miller IV",
"BaseOnly": false
},
{
"Value": 3660738310459779,
"Name": "June Haley",
"BaseOnly": false
}
]
},
"NumAFKRounds": 5029100722300943
},
"DoughGrants": {
"GamePlayed": 5258775281468660,
"RoundPlayed": 2137405277040746,
"RoundWon": 2727595945989942
},
"RewardGrants": {
"B045b070-0bb7-32D4-FdAD-BF3AFf7a5C60": {
"EntitlementRewards": [
{
"ItemTypeID": "372FcE1D-bACF-b3F2-20e6-88aA75a997dE",
"ItemID": "Bf59Da2f-cDc9-EC4f-B0ee-5eeb2bcFa4BE",
"Amount": 8131178215024731
},
{
"ItemTypeID": "F1bcea15-Fd06-5aab-7aFB-83A62CAAf7FD",
"ItemID": "2E92BA2b-B1A7-F2Ba-737E-FAeaF1b6ED47",
"Amount": 636706761118999
},
{
"ItemTypeID": "fFE99D4D-04C1-C3a7-5bEa-Afcff949Bcee",
"ItemID": "222A81E0-f69d-b4Cb-C2Af-865581001aE5",
"Amount": 3980720878286727
}
],
"ItemRewards": [
null
],
"WalletRewards": [
{
"CurrencyID": "3777e5be-E0af-cDAA-BcE4-85aca05CdfAf",
"Amount": 4634724064917092
}
],
"CounterRewards": [
null,
null,
null
],
"ProgressionRewards": [
null,
null,
null,
null,
null
]
}
},
"MissionDeltas": {
"024DfB7F-cF07-974A-8a5a-D2628C21fE23": {
"ID": "2d4A5E12-B1a8-AF9C-e986-6BfFdd2CffDC",
"Objectives": {
"bC4De3d1-Eca2-Ef1D-719C-cFB0C9bBFAE6": 1335308395502044
},
"ObjectiveDeltas": {
"E33dF5a4-CDf1-eeB4-03Be-254bf199FCF6": {
"ID": "266f7bfF-d7EC-cCdf-a999-d06e6aeF5fb7",
"ProgressBefore": 3598960431708976,
"ProgressAfter": 3222393388779452
}
}
}
},
"ContractDeltas": {
"0fc1B81D-aFBA-257f-825A-7777F2c4ec1e": {
"ID": "d43fC444-Be45-25A4-Ff61-1e9fA65CcfEB",
"TotalXPBefore": 8658238058626176,
"TotalXPAfter": 8343721612324
}
},
"CouldProgressMissions": true,
"MatchSummary": {
"RoundsTotal": 1776217868607697,
"RoundsWon": 2691957940992420
},
"XID": "b9DAC644-67f6-6b52-D579-fCFb7dFaeEd4"
}